Bug 1919893 (CVE-2020-0427) - CVE-2020-0427 kernel: out-of-bounds reads in pinctrl subsystem.
Summary: CVE-2020-0427 kernel: out-of-bounds reads in pinctrl subsystem.
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-0427
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1919897 1922902 1922903 1922904 1922905 1922906
Blocks: 1919898
TreeView+ depends on / blocked
 
Reported: 2021-01-25 11:31 UTC by Dhananjay Arunesh
Modified: 2021-11-09 18:23 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux pinctrl system. It is possible to trigger an of bounds read due to a use after free. This could lead to local information disclosure with no additional execution privileges needed.
Clone Of:
Environment:
Last Closed: 2021-03-16 19:19:47 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0856 0 None None None 2021-03-16 13:51:38 UTC
Red Hat Product Errata RHSA-2021:0857 0 None None None 2021-03-16 13:52:30 UTC
Red Hat Product Errata RHSA-2021:4140 0 None None None 2021-11-09 17:21:33 UTC
Red Hat Product Errata RHSA-2021:4356 0 None None None 2021-11-09 18:23:30 UTC

Description Dhananjay Arunesh 2021-01-25 11:31:47 UTC
A flaw was found in the Linux pinctrl system. It is possible to trigger an of bounds read due to a useafter free. This could lead to local information disclosure with no additional
execution privileges needed. User interaction is not needed for exploitation.

References:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=be4c60b563edee3712d392aaeb0943a768df7023

Comment 1 Dhananjay Arunesh 2021-01-25 11:34:03 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1919897]

Comment 2 Justin M. Forbes 2021-01-25 17:29:06 UTC
This was fixed for Fedora with the 5.5 kernel rebases.

Comment 6 Wade Mealing 2021-02-01 02:57:51 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options do not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 9 errata-xmlrpc 2021-03-16 13:51:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:0856 https://access.redhat.com/errata/RHSA-2021:0856

Comment 10 errata-xmlrpc 2021-03-16 13:52:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:0857 https://access.redhat.com/errata/RHSA-2021:0857

Comment 11 Product Security DevOps Team 2021-03-16 19:19:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-0427

Comment 12 errata-xmlrpc 2021-11-09 17:21:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 13 errata-xmlrpc 2021-11-09 18:23:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356


Note You need to log in before you can comment on or make changes to this bug.